* This sub-rountine runs models by using SC index 2 method only

capture drop low_w* high_w*

qui xtreg housat $demography $objective $subjective i.region i.wave ///
			selowd sehighd edulowd eduhighd agelowd agehighd reglowd reghighd, fe vce(cluster hhid_new)
matrix low1=(abs(_b[selowd]), abs(_b[edulowd]),abs(_b[agelowd]),abs(_b[reglowd]))/(abs(_b[selowd])+abs(_b[edulowd])+abs(_b[agelowd])+abs(_b[reglowd]))
matrix high1=(abs(_b[sehighd]),abs(_b[eduhighd]),abs(_b[agehighd]),abs(_b[reghighd]))/(abs(_b[sehighd])+abs(_b[eduhighd])+abs(_b[agehighd])+abs(_b[reghighd]))
gen low_w2 = low1[1,1]*selowd+low1[1,2]*edulowd+low1[1,3]*agelowd+low1[1,4]*reglowd
gen high_w2 = high1[1,1]*sehighd+high1[1,2]*eduhighd+high1[1,3]*agehighd+high1[1,4]*reghighd
gen high_wd2 = (high_w2 > 0.5)
gen low_wd2 = (low_w2 > 0.5) 

eststo clear
eststo: qui xtreg housat $demography $objective $subjective i.region i.wave low_wd2 high_wd2, fe vce(cluster hhid_new)	
global rnames low_wd2 high_wd2
do hautest.do	

