*------------------------------------------------------------------------------------------
* Table 4: Social Comparison and Adaptation
* Number of lags are determined by lagvar (specified in main programme)
* Total number of models estimated: lagvar
* Adaptation teset outputs saved to a text file, on test per row. 
* Row name is test variable + lagvar
*------------------------------------------------------------------------------------------

* baseline model
eststo : qui xtreg housat i.region i.wave $demography  $objective $subjective, fe vce(cluster hhid_new)
global rnames=""
do hautest.do

* no lag
eststo : qui xtreg housat i.region i.wave $demography  $objective $subjective $regname, fe vce(cluster hhid_new)
global rnames="$regname"
do hautest.do

* with lags
local varname = "$regname"
sort pid wave

forvalues lag = 1/$lagvar {
	foreach var in `varname' {
	global regname="$regname"+" "+"l"+"`lag'"+"."+"`var'"
	}	
	eststo : qui xtreg housat  i.region i.wave $demography  $objective $subjective $regname, fe vce(cluster hhid_new)

global testequ = ""
foreach v in `varname' {
	global teststring = ""
	forvalues i = 1/`lag'{
	global teststring = "$teststring" + "+l`i'.`v'"
	global testequ = "`v'"+"$teststring"+"=0"
	test "$testequ"
	
	matrix TableR4 = (r(F), r(df), r(p))
	matrix rownames TableR4 = `v'`i'
	matrix colnames TableR4 = F DF P-value
	mat2txt, matrix(TableR4) sav("/Users/helenbao/Dropbox (Personal)/Students/2014 Chunming Meng/Papers/Housing Satisfaction/Data Analysis/R4adptest.txt") append


	}
}

	global rnames="$regname"
	do hautest.do
	
}
